Subject: Re: [PATCH] t1304: Set LOGNAME even if USER is unset or null

From: Junio C Hamano <[email-masked]>
Date: Mon, 20 Oct 2014 11:34:23 -0700

"W. Trevor King" <[email-masked]> writes:

> On Sun, Oct 19, 2014 at 03:49:36PM -0700, Junio C Hamano wrote:
>> I'll queue this as-is, but it makes me wonder if we want to do this
>> without if/then/fi, e.g.
>> 
>> 	: ${LOGNAME:=${USER:-$(id -u -n)}
>
> I'm fine with that too.
>
>> Spelling everything out with if/then/fi is obviously at the other
>> extreme, i.e.
>
> And I'm fine with this ;).
>
>> More importantly, what if none of the alternatives work?  I
>> personally feel it is OK to punt and declare test_done early,
>> instead of giving false positive breakages like you saw without this
>> patch.
>
> I can put this into a v2 if you like.  Which conditional syntax do you
> prefer?

Probably

    if test -z "$LOGNAME"
    then
            LOGNAME="${USER:-$(id -u -n)}"
    else
            : cannot test acl operations without a usable user name
            test_punt!
    fi